libzypp 17.37.10

zypp::UpdateNotificationFile Class Reference

Pair of sat::Solvable and Pathname. More...

`#include <zypp/ZYppCommitResult.h>`

## Public Member Functions
| UpdateNotificationFile (sat::Solvable solvable_r, Pathname file_r)
sat::Solvable | solvable () const
const Pathname & | file () const

## Private Attributes
sat::Solvable | _solvable
Pathname | _file

## Detailed Description

Pair of sat::Solvable and Pathname.

Definition at line 34 of file ZYppCommitResult.h.

## Constructor & Destructor Documentation

## ◆ UpdateNotificationFile()

zypp::UpdateNotificationFile::UpdateNotificationFile | ( | sat::Solvable | solvable_r,
|  | Pathname | file_r )
| inline

Definition at line 37 of file ZYppCommitResult.h.

## Member Function Documentation

## ◆ solvable()

sat::Solvable zypp::UpdateNotificationFile::solvable | ( |  | ) | const
| inline

Definition at line 41 of file ZYppCommitResult.h.

## ◆ file()

const Pathname & zypp::UpdateNotificationFile::file | ( |  | ) | const
| inline

Definition at line 42 of file ZYppCommitResult.h.

## Member Data Documentation

## ◆ _solvable

sat::Solvable zypp::UpdateNotificationFile::_solvable
| private

Definition at line 44 of file ZYppCommitResult.h.

## ◆ _file

Pathname zypp::UpdateNotificationFile::_file
| private

Definition at line 45 of file ZYppCommitResult.h.

The documentation for this class was generated from the following file:

- zypp/ZYppCommitResult.h